## CallyRoot

CallyRoot — Root object for the Cally toolkit

## Functions

AtkObject * | cally_root_new ()

## Types and Values

struct | CallyRoot
struct | CallyRootClass

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── AtkGObjectAccessible
                ╰── CallyRoot

## Description

CallyRoot is the root object of the accessibility tree-like hierarchy, exposing the application level.

Somewhat equivalent to GailTopLevel. We consider that this class expose the a11y information of the ClutterStageManager, as the children of this object are the different ClutterStage managed (so the GObject used in the `atk_object_initialize()` is the ClutterStageManager).

## Functions

### cally_root_new ()

    AtkObject *
    cally_root_new (void);

Creates a new CallyRoot object.

#### Returns

the newly created AtkObject

Since: 1.4

## Types and Values

### struct CallyRoot

    struct CallyRoot;

The CallyRoot structure contains only private data and should be accessed using the provided API

Since: 1.4

### struct CallyRootClass

    struct CallyRootClass {
    };

The CallyRootClass structure contains only private data

Since: 1.4

## See Also

ClutterStage